%define module_name Text-NumericData
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/Param.pm) perl(File/Compare.pm) perl(Math/Spline.pm) perl(Math/Trig.pm) perl(Module/Build.pm) perl(Storable.pm) perl(Test/More.pm) perl(Text/ASCIIPipe.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.003003
Release: alt1
Summary: parsing and writing of textual numeric data files
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TH/THORGIS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module (class) contains the basic parsing structure for Text::NumericData. It is intended for use with numerical data sets in text files as commonly produced by data aquisition software - there often called "ASCII file". It's not about arbitary tabular data - the main intention are rows of numbers after some header that ideally contains information about what kind of data is in there. Simple text fields are supported, but beware of any separator-looking characters in there!
The provided function for checking if there is data or header relies on the first data item being a number.
Additionall, the following general header layout is assumed:

_#file title
_#comments
_#comments
_#...
_#row titles with proper separators with or without quotes

Comments are optional, only a single non-empty header line results in both file and row titles to be deduced from the very same line.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README TODO Changes
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Sun Nov 05 2017 Igor Vlasenko <viy@altlinux.ru> 2.003003-alt1
- regenerated from template by package builder

* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 2.003002-alt1
- regenerated from template by package builder

* Sat Mar 19 2016 Igor Vlasenko <viy@altlinux.ru> 2.002000-alt1
- regenerated from template by package builder

* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.001000-alt1
- initial import by package builder

